Summary:           IRC to other chat networks gateway
Name:              bitlbee
Version:           1.0.3
Release:           5%{?dist}
License:           GPL
Group:             System Environment/Daemons
URL:               http://www.bitlbee.org/
Source0:           http://get.bitlbee.org/src/%{name}-%{version}.tar.gz
Source1:           bitlbee.xinetd
Patch0:            bitlbee-1.0.3-cflags.patch
Patch1:            bitlbee-1.0.3-socklen.patch
Requires:          xinetd
Requires(pre):     /usr/sbin/useradd
Requires(preun):   /sbin/service
BuildRequires:     glib2-devel, libxslt
%if 0%{?rhl}%{?fedora}%{?rhel}
BuildRequires:     gnutls-devel
%else
BuildRequires:     openssl-devel
%endif
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Bitlbee is an IRC to other chat networks gateway. Bitlbee can be used as
an IRC server which forwards everything you say to people on other chat
networks like MSN/ICQ/Jabber.

%prep
%setup -q
%patch0 -p1 -b .cflags
%patch1 -p1 -b .socklen

perl -pi.make -e '
                s|\$\(BINDIR\)|\$(sbindir)|g;
                s|\$\(DATADIR\)|\$(datadir)/%{name}|g;
                s|\$\(ETCDIR\)|\$(sysconfdir)/%{name}|g;
                s|\$\(MANDIR\)|\$(mandir)|g;
        ' Makefile */Makefile */*/Makefile

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
        --prefix=%{_prefix} \
        --bindir=%{_sbindir} \
        --etcdir=%{_sysconfdir}/%{name} \
        --mandir=%{_mandir} \
        --datadir=%{_datadir}/%{name} \
        --config=%{_localstatedir}/lib/%{name} \
        --strip=0 \
%if 0%{?rhl}%{?fedora}%{?rhel}
        --ssl=gnutls
%else
        --ssl=openssl
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT{%{_localstatedir}/lib/%{name},%{_mandir}/man8}

install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/%{name}
install -D -m 644 %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/%{name}.conf
install -m 644 doc/*.8 $RPM_BUILD_ROOT%{_mandir}/man8/

%pre
%{_sbindir}/useradd -r -s /sbin/nologin -d %{_localstatedir}/lib/%{name} -M -c "BitlBee User" %{name} > /dev/null 2>&1 || :

%preun
if [ $1 -eq 0 ]; then
  /sbin/service xinetd condrestart > /dev/null 2>&1 || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING doc/{AUTHORS,CHANGES,CREDITS,FAQ,README}
%doc doc/user-guide/*.xml doc/user-guide/user-guide.txt
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%{_sbindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man?/%{name}*
%attr(0700,bitlbee,bitlbee) %dir %{_localstatedir}/lib/%{name}

%changelog
* Sat Oct 21 2006 Robert Scheck <robert@fedoraproject.org> 1.0.3-5
- Create a bitlbee user and condrestart xinetd instead of reload

* Fri Aug 04 2006 Robert Scheck <robert@fedoraproject.org> 1.0.3-4
- Switched to gnutls per default for SSL support (#196591 #c12)

* Mon Jun 26 2006 Robert Scheck <robert@fedoraproject.org> 1.0.3-3
- Added patch for using CFLAGS env (#196591 #c4, upstream #171)

* Sun Jun 25 2006 Robert Scheck <robert@fedoraproject.org> 1.0.3-2
- Changes to match with Fedora Packaging Guidelines (#196591)

* Sun Jun 25 2006 Robert Scheck <robert@fedoraproject.org> 1.0.3-1
- Upgrade to 1.0.3

* Sun Apr 02 2006 Robert Scheck <robert@fedoraproject.org> 1.0.2-1
- Upgrade to 1.0.2

* Sun Jan 15 2006 Robert Scheck <robert@fedoraproject.org> 1.0.1-1
- Upgrade to 1.0.1

* Wed Dec 28 2005 Robert Scheck <robert@fedoraproject.org> 1.0-2
- Rebuilt against gcc 4.1

* Mon Dec 05 2005 Robert Scheck <robert@fedoraproject.org> 1.0-1
- Upgrade to 1.0

* Sat Nov 12 2005 Robert Scheck <robert@fedoraproject.org> 0.92-4
- Rebuilt against openssl 0.9.8a

* Sun Aug 28 2005 Robert Scheck <robert@fedoraproject.org> 0.92-3
- Added patch, that allows specifying the Jabber server manually
- Don't start bitlbee per default as xinetd service

* Sun Jul 03 2005 Robert Scheck <robert@fedoraproject.org> 0.92-2
- Added patch giving ICQ/AIM support for typing notifications

* Fri Jul 01 2005 Robert Scheck <robert@fedoraproject.org> 0.92-1
- Upgrade to 0.92
- Initial spec file for Fedora Core
